#include "m33.h"


V3& M33::operator[](int i) {

	return rows[i];

}

/*
m00 m01 m02   v0     (m00*v0 + m01*v1 + m02*v2)
m10 m11 m12   v1  =
m20 m21 m22   v2
*/

V3 M33::operator*(V3 v) {

	V3 ret;
	M33 &m = *this;
	ret[0] = m[0] * v;
	ret[1] = m[1] * v;
	ret[2] = m[2] * v;
	return ret;
}

ostream& operator<<(ostream& ostr, M33 m) {

	return ostr << m[0] << m[1] << m[2];

}


V3 M33::GetColumn(int i) {

	return V3(rows[0][i], rows[1][i], rows[2][i]);

}
